Package com.google.earth.kml._2

# Class ObjectFactory

java.lang.Object
com.google.earth.kml._2.ObjectFactory

public class ObjectFactory extends Object
This object contains factory methods for each Java content interface and Java element interface generated in the com.google.earth.kml._2 package.

An ObjectFactory allows you to programmatically construct new instances of the Java representation for XML content. The Java representation of XML content can consist of schema derived interfaces and classes representing the binding of schema type definitions, element declarations and model groups. Factory methods for each of these are provided in this class.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `private static final QName`
  `_BalloonStyle_QNAME`
  `private static final QName`
  `_Coordinates_QNAME`
  `private static final QName`
  `_Document_QNAME`
  `private static final QName`
  `_Feature_QNAME`
  `private static final QName`
  `_Folder_QNAME`
  `private static final QName`
  `_Geometry_QNAME`
  `private static final QName`
  `_GroundOverlay_QNAME`
  `private static final QName`
  `_Icon_QNAME`
  `private static final QName`
  `_IconStyle_QNAME`
  `private static final QName`
  `_ItemIconTypeState_QNAME`
  `private static final QName`
  `_Kml_QNAME`
  `private static final QName`
  `_LabelStyle_QNAME`
  `private static final QName`
  `_LatLonAltBox_QNAME`
  `private static final QName`
  `_LatLonBox_QNAME`
  `private static final QName`
  `_LinearRing_QNAME`
  `private static final QName`
  `_LineString_QNAME`
  `private static final QName`
  `_LineStyle_QNAME`
  `private static final QName`
  `_Link_QNAME`
  `private static final QName`
  `_ListStyle_QNAME`
  `private static final QName`
  `_Location_QNAME`
  `private static final QName`
  `_Lod_QNAME`
  `private static final QName`
  `_LookAt_QNAME`
  `private static final QName`
  `_Model_QNAME`
  `private static final QName`
  `_MultiGeometry_QNAME`
  `private static final QName`
  `_NetworkLink_QNAME`
  `private static final QName`
  `_Object_QNAME`
  `private static final QName`
  `_Orientation_QNAME`
  `private static final QName`
  `_Placemark_QNAME`
  `private static final QName`
  `_Point_QNAME`
  `private static final QName`
  `_Polygon_QNAME`
  `private static final QName`
  `_PolyStyle_QNAME`
  `private static final QName`
  `_Region_QNAME`
  `private static final QName`
  `_Scale_QNAME`
  `private static final QName`
  `_ScreenOverlay_QNAME`
  `private static final QName`
  `_Style_QNAME`
  `private static final QName`
  `_StyleMap_QNAME`
  `private static final QName`
  `_StyleSelector_QNAME`
  `private static final QName`
  `_StyleUrl_QNAME`
  `private static final QName`
  `_TimePrimitive_QNAME`
  `private static final QName`
  `_TimeSpan_QNAME`
  `private static final QName`
  `_TimeStamp_QNAME`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ObjectFactory()`
  Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: com.google.earth.kml._2

- ## Method Summary

  Modifier and Type
  Method
  Description
  `jakarta.xml.bind.JAXBElement<BalloonStyleType>`
  `createBalloonStyle(BalloonStyleType value)`
  Create an instance of `JAXBElement``<``BalloonStyleType``>`
  `BalloonStyleType`
  `createBalloonStyleType()`
  Create an instance of `BalloonStyleType`
  `BoundaryType`
  `createBoundaryType()`
  Create an instance of `BoundaryType`
  `ChangeType`
  `createChangeType()`
  Create an instance of `ChangeType`
  `jakarta.xml.bind.JAXBElement<List<String>>`
  `createCoordinates(List<String> value)`
  Create an instance of `JAXBElement``<``List``<``String``>``>`
  `CreateType`
  `createCreateType()`
  Create an instance of `CreateType`
  `DeleteType`
  `createDeleteType()`
  Create an instance of `DeleteType`
  `jakarta.xml.bind.JAXBElement<DocumentType>`
  `createDocument(DocumentType value)`
  Create an instance of `JAXBElement``<``DocumentType``>`
  `DocumentType`
  `createDocumentType()`
  Create an instance of `DocumentType`
  `jakarta.xml.bind.JAXBElement<FeatureType>`
  `createFeature(FeatureType value)`
  Create an instance of `JAXBElement``<``FeatureType``>`
  `jakarta.xml.bind.JAXBElement<FolderType>`
  `createFolder(FolderType value)`
  Create an instance of `JAXBElement``<``FolderType``>`
  `FolderType`
  `createFolderType()`
  Create an instance of `FolderType`
  `jakarta.xml.bind.JAXBElement<GeometryType>`
  `createGeometry(GeometryType value)`
  Create an instance of `JAXBElement``<``GeometryType``>`
  `jakarta.xml.bind.JAXBElement<GroundOverlayType>`
  `createGroundOverlay(GroundOverlayType value)`
  Create an instance of `JAXBElement``<``GroundOverlayType``>`
  `GroundOverlayType`
  `createGroundOverlayType()`
  Create an instance of `GroundOverlayType`
  `jakarta.xml.bind.JAXBElement<LinkType>`
  `createIcon(LinkType value)`
  Create an instance of `JAXBElement``<``LinkType``>`
  `jakarta.xml.bind.JAXBElement<IconStyleType>`
  `createIconStyle(IconStyleType value)`
  Create an instance of `JAXBElement``<``IconStyleType``>`
  `IconStyleIconType`
  `createIconStyleIconType()`
  Create an instance of `IconStyleIconType`
  `IconStyleType`
  `createIconStyleType()`
  Create an instance of `IconStyleType`
  `IconType`
  `createIconType()`
  Create an instance of `IconType`
  `ItemIconType`
  `createItemIconType()`
  Create an instance of `ItemIconType`
  `jakarta.xml.bind.JAXBElement<List<ItemIconStateEnum>>`
  `createItemIconTypeState(List<ItemIconStateEnum> value)`
  Create an instance of `JAXBElement``<``List``<``ItemIconStateEnum``>``>`
  `jakarta.xml.bind.JAXBElement<KmlType>`
  `createKml(KmlType value)`
  Create an instance of `JAXBElement``<``KmlType``>`
  `KmlType`
  `createKmlType()`
  Create an instance of `KmlType`
  `jakarta.xml.bind.JAXBElement<LabelStyleType>`
  `createLabelStyle(LabelStyleType value)`
  Create an instance of `JAXBElement``<``LabelStyleType``>`
  `LabelStyleType`
  `createLabelStyleType()`
  Create an instance of `LabelStyleType`
  `jakarta.xml.bind.JAXBElement<LatLonAltBoxType>`
  `createLatLonAltBox(LatLonAltBoxType value)`
  Create an instance of `JAXBElement``<``LatLonAltBoxType``>`
  `LatLonAltBoxType`
  `createLatLonAltBoxType()`
  Create an instance of `LatLonAltBoxType`
  `jakarta.xml.bind.JAXBElement<LatLonBoxType>`
  `createLatLonBox(LatLonBoxType value)`
  Create an instance of `JAXBElement``<``LatLonBoxType``>`
  `LatLonBoxType`
  `createLatLonBoxType()`
  Create an instance of `LatLonBoxType`
  `jakarta.xml.bind.JAXBElement<LinearRingType>`
  `createLinearRing(LinearRingType value)`
  Create an instance of `JAXBElement``<``LinearRingType``>`
  `LinearRingType`
  `createLinearRingType()`
  Create an instance of `LinearRingType`
  `jakarta.xml.bind.JAXBElement<LineStringType>`
  `createLineString(LineStringType value)`
  Create an instance of `JAXBElement``<``LineStringType``>`
  `LineStringType`
  `createLineStringType()`
  Create an instance of `LineStringType`
  `jakarta.xml.bind.JAXBElement<LineStyleType>`
  `createLineStyle(LineStyleType value)`
  Create an instance of `JAXBElement``<``LineStyleType``>`
  `LineStyleType`
  `createLineStyleType()`
  Create an instance of `LineStyleType`
  `jakarta.xml.bind.JAXBElement<LinkType>`
  `createLink(LinkType value)`
  Create an instance of `JAXBElement``<``LinkType``>`
  `LinkType`
  `createLinkType()`
  Create an instance of `LinkType`
  `jakarta.xml.bind.JAXBElement<ListStyleType>`
  `createListStyle(ListStyleType value)`
  Create an instance of `JAXBElement``<``ListStyleType``>`
  `ListStyleType`
  `createListStyleType()`
  Create an instance of `ListStyleType`
  `jakarta.xml.bind.JAXBElement<LocationType>`
  `createLocation(LocationType value)`
  Create an instance of `JAXBElement``<``LocationType``>`
  `LocationType`
  `createLocationType()`
  Create an instance of `LocationType`
  `jakarta.xml.bind.JAXBElement<LodType>`
  `createLod(LodType value)`
  Create an instance of `JAXBElement``<``LodType``>`
  `LodType`
  `createLodType()`
  Create an instance of `LodType`
  `jakarta.xml.bind.JAXBElement<LookAtType>`
  `createLookAt(LookAtType value)`
  Create an instance of `JAXBElement``<``LookAtType``>`
  `LookAtType`
  `createLookAtType()`
  Create an instance of `LookAtType`
  `MetadataType`
  `createMetadataType()`
  Create an instance of `MetadataType`
  `jakarta.xml.bind.JAXBElement<ModelType>`
  `createModel(ModelType value)`
  Create an instance of `JAXBElement``<``ModelType``>`
  `ModelType`
  `createModelType()`
  Create an instance of `ModelType`
  `jakarta.xml.bind.JAXBElement<MultiGeometryType>`
  `createMultiGeometry(MultiGeometryType value)`
  Create an instance of `JAXBElement``<``MultiGeometryType``>`
  `MultiGeometryType`
  `createMultiGeometryType()`
  Create an instance of `MultiGeometryType`
  `jakarta.xml.bind.JAXBElement<NetworkLinkType>`
  `createNetworkLink(NetworkLinkType value)`
  Create an instance of `JAXBElement``<``NetworkLinkType``>`
  `NetworkLinkControlType`
  `createNetworkLinkControlType()`
  Create an instance of `NetworkLinkControlType`
  `NetworkLinkType`
  `createNetworkLinkType()`
  Create an instance of `NetworkLinkType`
  `jakarta.xml.bind.JAXBElement<ObjectType>`
  `createObject(ObjectType value)`
  Create an instance of `JAXBElement``<``ObjectType``>`
  `jakarta.xml.bind.JAXBElement<OrientationType>`
  `createOrientation(OrientationType value)`
  Create an instance of `JAXBElement``<``OrientationType``>`
  `OrientationType`
  `createOrientationType()`
  Create an instance of `OrientationType`
  `jakarta.xml.bind.JAXBElement<PlacemarkType>`
  `createPlacemark(PlacemarkType value)`
  Create an instance of `JAXBElement``<``PlacemarkType``>`
  `PlacemarkType`
  `createPlacemarkType()`
  Create an instance of `PlacemarkType`
  `jakarta.xml.bind.JAXBElement<PointType>`
  `createPoint(PointType value)`
  Create an instance of `JAXBElement``<``PointType``>`
  `PointType`
  `createPointType()`
  Create an instance of `PointType`
  `jakarta.xml.bind.JAXBElement<PolygonType>`
  `createPolygon(PolygonType value)`
  Create an instance of `JAXBElement``<``PolygonType``>`
  `PolygonType`
  `createPolygonType()`
  Create an instance of `PolygonType`
  `jakarta.xml.bind.JAXBElement<PolyStyleType>`
  `createPolyStyle(PolyStyleType value)`
  Create an instance of `JAXBElement``<``PolyStyleType``>`
  `PolyStyleType`
  `createPolyStyleType()`
  Create an instance of `PolyStyleType`
  `jakarta.xml.bind.JAXBElement<RegionType>`
  `createRegion(RegionType value)`
  Create an instance of `JAXBElement``<``RegionType``>`
  `RegionType`
  `createRegionType()`
  Create an instance of `RegionType`
  `ReplaceType`
  `createReplaceType()`
  Create an instance of `ReplaceType`
  `jakarta.xml.bind.JAXBElement<ScaleType>`
  `createScale(ScaleType value)`
  Create an instance of `JAXBElement``<``ScaleType``>`
  `ScaleType`
  `createScaleType()`
  Create an instance of `ScaleType`
  `jakarta.xml.bind.JAXBElement<ScreenOverlayType>`
  `createScreenOverlay(ScreenOverlayType value)`
  Create an instance of `JAXBElement``<``ScreenOverlayType``>`
  `ScreenOverlayType`
  `createScreenOverlayType()`
  Create an instance of `ScreenOverlayType`
  `SnippetType`
  `createSnippetType()`
  Create an instance of `SnippetType`
  `jakarta.xml.bind.JAXBElement<StyleType>`
  `createStyle(StyleType value)`
  Create an instance of `JAXBElement``<``StyleType``>`
  `jakarta.xml.bind.JAXBElement<StyleMapType>`
  `createStyleMap(StyleMapType value)`
  Create an instance of `JAXBElement``<``StyleMapType``>`
  `StyleMapPairType`
  `createStyleMapPairType()`
  Create an instance of `StyleMapPairType`
  `StyleMapType`
  `createStyleMapType()`
  Create an instance of `StyleMapType`
  `jakarta.xml.bind.JAXBElement<StyleSelectorType>`
  `createStyleSelector(StyleSelectorType value)`
  Create an instance of `JAXBElement``<``StyleSelectorType``>`
  `StyleType`
  `createStyleType()`
  Create an instance of `StyleType`
  `jakarta.xml.bind.JAXBElement<String>`
  `createStyleUrl(String value)`
  Create an instance of `JAXBElement``<``String``>`
  `jakarta.xml.bind.JAXBElement<TimePrimitiveType>`
  `createTimePrimitive(TimePrimitiveType value)`
  Create an instance of `JAXBElement``<``TimePrimitiveType``>`
  `jakarta.xml.bind.JAXBElement<TimeSpanType>`
  `createTimeSpan(TimeSpanType value)`
  Create an instance of `JAXBElement``<``TimeSpanType``>`
  `TimeSpanType`
  `createTimeSpanType()`
  Create an instance of `TimeSpanType`
  `jakarta.xml.bind.JAXBElement<TimeStampType>`
  `createTimeStamp(TimeStampType value)`
  Create an instance of `JAXBElement``<``TimeStampType``>`
  `TimeStampType`
  `createTimeStampType()`
  Create an instance of `TimeStampType`
  `UpdateType`
  `createUpdateType()`
  Create an instance of `UpdateType`
  `Vec2Type`
  `createVec2Type()`
  Create an instance of `Vec2Type`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### _Object_QNAME

    private static final QName _Object_QNAME

  - ### _Feature_QNAME

    private static final QName _Feature_QNAME

  - ### _LookAt_QNAME

    private static final QName _LookAt_QNAME

  - ### _Geometry_QNAME

    private static final QName _Geometry_QNAME

  - ### _StyleSelector_QNAME

    private static final QName _StyleSelector_QNAME

  - ### _TimePrimitive_QNAME

    private static final QName _TimePrimitive_QNAME

  - ### _Kml_QNAME

    private static final QName _Kml_QNAME

  - ### _Document_QNAME

    private static final QName _Document_QNAME

  - ### _Folder_QNAME

    private static final QName _Folder_QNAME

  - ### _Placemark_QNAME

    private static final QName _Placemark_QNAME

  - ### _NetworkLink_QNAME

    private static final QName _NetworkLink_QNAME

  - ### _Region_QNAME

    private static final QName _Region_QNAME

  - ### _LatLonAltBox_QNAME

    private static final QName _LatLonAltBox_QNAME

  - ### _Lod_QNAME

    private static final QName _Lod_QNAME

  - ### _Icon_QNAME

    private static final QName _Icon_QNAME

  - ### _Link_QNAME

    private static final QName _Link_QNAME

  - ### _MultiGeometry_QNAME

    private static final QName _MultiGeometry_QNAME

  - ### _Coordinates_QNAME

    private static final QName _Coordinates_QNAME

  - ### _Point_QNAME

    private static final QName _Point_QNAME

  - ### _LineString_QNAME

    private static final QName _LineString_QNAME

  - ### _LinearRing_QNAME

    private static final QName _LinearRing_QNAME

  - ### _Polygon_QNAME

    private static final QName _Polygon_QNAME

  - ### _Model_QNAME

    private static final QName _Model_QNAME

  - ### _Location_QNAME

    private static final QName _Location_QNAME

  - ### _Orientation_QNAME

    private static final QName _Orientation_QNAME

  - ### _Scale_QNAME

    private static final QName _Scale_QNAME

  - ### _GroundOverlay_QNAME

    private static final QName _GroundOverlay_QNAME

  - ### _LatLonBox_QNAME

    private static final QName _LatLonBox_QNAME

  - ### _ScreenOverlay_QNAME

    private static final QName _ScreenOverlay_QNAME

  - ### _Style_QNAME

    private static final QName _Style_QNAME

  - ### _StyleUrl_QNAME

    private static final QName _StyleUrl_QNAME

  - ### _StyleMap_QNAME

    private static final QName _StyleMap_QNAME

  - ### _IconStyle_QNAME

    private static final QName _IconStyle_QNAME

  - ### _LabelStyle_QNAME

    private static final QName _LabelStyle_QNAME

  - ### _LineStyle_QNAME

    private static final QName _LineStyle_QNAME

  - ### _PolyStyle_QNAME

    private static final QName _PolyStyle_QNAME

  - ### _BalloonStyle_QNAME

    private static final QName _BalloonStyle_QNAME

  - ### _ListStyle_QNAME

    private static final QName _ListStyle_QNAME

  - ### _TimeStamp_QNAME

    private static final QName _TimeStamp_QNAME

  - ### _TimeSpan_QNAME

    private static final QName _TimeSpan_QNAME

  - ### _ItemIconTypeState_QNAME

    private static final QName _ItemIconTypeState_QNAME

- ## Constructor Details

  - ### ObjectFactory

    public ObjectFactory()
    Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: com.google.earth.kml._2

- ## Method Details

  - ### createLookAtType

    public LookAtType createLookAtType()
    Create an instance of `LookAtType`
    Returns:
      the new instance of `LookAtType`

  - ### createKmlType

    public KmlType createKmlType()
    Create an instance of `KmlType`
    Returns:
      the new instance of `KmlType`

  - ### createDocumentType

    public DocumentType createDocumentType()
    Create an instance of `DocumentType`
    Returns:
      the new instance of `DocumentType`

  - ### createFolderType

    public FolderType createFolderType()
    Create an instance of `FolderType`
    Returns:
      the new instance of `FolderType`

  - ### createPlacemarkType

    public PlacemarkType createPlacemarkType()
    Create an instance of `PlacemarkType`
    Returns:
      the new instance of `PlacemarkType`

  - ### createNetworkLinkType

    public NetworkLinkType createNetworkLinkType()
    Create an instance of `NetworkLinkType`
    Returns:
      the new instance of `NetworkLinkType`

  - ### createRegionType

    public RegionType createRegionType()
    Create an instance of `RegionType`
    Returns:
      the new instance of `RegionType`

  - ### createLatLonAltBoxType

    public LatLonAltBoxType createLatLonAltBoxType()
    Create an instance of `LatLonAltBoxType`
    Returns:
      the new instance of `LatLonAltBoxType`

  - ### createLodType

    public LodType createLodType()
    Create an instance of `LodType`
    Returns:
      the new instance of `LodType`

  - ### createLinkType

    public LinkType createLinkType()
    Create an instance of `LinkType`
    Returns:
      the new instance of `LinkType`

  - ### createMultiGeometryType

    public MultiGeometryType createMultiGeometryType()
    Create an instance of `MultiGeometryType`
    Returns:
      the new instance of `MultiGeometryType`

  - ### createPointType

    public PointType createPointType()
    Create an instance of `PointType`
    Returns:
      the new instance of `PointType`

  - ### createLineStringType

    public LineStringType createLineStringType()
    Create an instance of `LineStringType`
    Returns:
      the new instance of `LineStringType`

  - ### createLinearRingType

    public LinearRingType createLinearRingType()
    Create an instance of `LinearRingType`
    Returns:
      the new instance of `LinearRingType`

  - ### createPolygonType

    public PolygonType createPolygonType()
    Create an instance of `PolygonType`
    Returns:
      the new instance of `PolygonType`

  - ### createModelType

    public ModelType createModelType()
    Create an instance of `ModelType`
    Returns:
      the new instance of `ModelType`

  - ### createLocationType

    public LocationType createLocationType()
    Create an instance of `LocationType`
    Returns:
      the new instance of `LocationType`

  - ### createOrientationType

    public OrientationType createOrientationType()
    Create an instance of `OrientationType`
    Returns:
      the new instance of `OrientationType`

  - ### createScaleType

    public ScaleType createScaleType()
    Create an instance of `ScaleType`
    Returns:
      the new instance of `ScaleType`

  - ### createGroundOverlayType

    public GroundOverlayType createGroundOverlayType()
    Create an instance of `GroundOverlayType`
    Returns:
      the new instance of `GroundOverlayType`

  - ### createLatLonBoxType

    public LatLonBoxType createLatLonBoxType()
    Create an instance of `LatLonBoxType`
    Returns:
      the new instance of `LatLonBoxType`

  - ### createScreenOverlayType

    public ScreenOverlayType createScreenOverlayType()
    Create an instance of `ScreenOverlayType`
    Returns:
      the new instance of `ScreenOverlayType`

  - ### createStyleType

    public StyleType createStyleType()
    Create an instance of `StyleType`
    Returns:
      the new instance of `StyleType`

  - ### createStyleMapType

    public StyleMapType createStyleMapType()
    Create an instance of `StyleMapType`
    Returns:
      the new instance of `StyleMapType`

  - ### createIconStyleType

    public IconStyleType createIconStyleType()
    Create an instance of `IconStyleType`
    Returns:
      the new instance of `IconStyleType`

  - ### createLabelStyleType

    public LabelStyleType createLabelStyleType()
    Create an instance of `LabelStyleType`
    Returns:
      the new instance of `LabelStyleType`

  - ### createLineStyleType

    public LineStyleType createLineStyleType()
    Create an instance of `LineStyleType`
    Returns:
      the new instance of `LineStyleType`

  - ### createPolyStyleType

    public PolyStyleType createPolyStyleType()
    Create an instance of `PolyStyleType`
    Returns:
      the new instance of `PolyStyleType`

  - ### createBalloonStyleType

    public BalloonStyleType createBalloonStyleType()
    Create an instance of `BalloonStyleType`
    Returns:
      the new instance of `BalloonStyleType`

  - ### createListStyleType

    public ListStyleType createListStyleType()
    Create an instance of `ListStyleType`
    Returns:
      the new instance of `ListStyleType`

  - ### createTimeStampType

    public TimeStampType createTimeStampType()
    Create an instance of `TimeStampType`
    Returns:
      the new instance of `TimeStampType`

  - ### createTimeSpanType

    public TimeSpanType createTimeSpanType()
    Create an instance of `TimeSpanType`
    Returns:
      the new instance of `TimeSpanType`

  - ### createVec2Type

    public Vec2Type createVec2Type()
    Create an instance of `Vec2Type`
    Returns:
      the new instance of `Vec2Type`

  - ### createSnippetType

    public SnippetType createSnippetType()
    Create an instance of `SnippetType`
    Returns:
      the new instance of `SnippetType`

  - ### createMetadataType

    public MetadataType createMetadataType()
    Create an instance of `MetadataType`
    Returns:
      the new instance of `MetadataType`

  - ### createNetworkLinkControlType

    public NetworkLinkControlType createNetworkLinkControlType()
    Create an instance of `NetworkLinkControlType`
    Returns:
      the new instance of `NetworkLinkControlType`

  - ### createIconType

    public IconType createIconType()
    Create an instance of `IconType`
    Returns:
      the new instance of `IconType`

  - ### createBoundaryType

    public BoundaryType createBoundaryType()
    Create an instance of `BoundaryType`
    Returns:
      the new instance of `BoundaryType`

  - ### createStyleMapPairType

    public StyleMapPairType createStyleMapPairType()
    Create an instance of `StyleMapPairType`
    Returns:
      the new instance of `StyleMapPairType`

  - ### createIconStyleIconType

    public IconStyleIconType createIconStyleIconType()
    Create an instance of `IconStyleIconType`
    Returns:
      the new instance of `IconStyleIconType`

  - ### createItemIconType

    public ItemIconType createItemIconType()
    Create an instance of `ItemIconType`
    Returns:
      the new instance of `ItemIconType`

  - ### createUpdateType

    public UpdateType createUpdateType()
    Create an instance of `UpdateType`
    Returns:
      the new instance of `UpdateType`

  - ### createCreateType

    public CreateType createCreateType()
    Create an instance of `CreateType`
    Returns:
      the new instance of `CreateType`

  - ### createDeleteType

    public DeleteType createDeleteType()
    Create an instance of `DeleteType`
    Returns:
      the new instance of `DeleteType`

  - ### createChangeType

    public ChangeType createChangeType()
    Create an instance of `ChangeType`
    Returns:
      the new instance of `ChangeType`

  - ### createReplaceType

    public ReplaceType createReplaceType()
    Create an instance of `ReplaceType`
    Returns:
      the new instance of `ReplaceType`

  - ### createObject

    public jakarta.xml.bind.JAXBElement<ObjectType> createObject(ObjectType value)
    Create an instance of `JAXBElement``<``ObjectType``>`
    Parameters:
      `value` - Java instance representing xml element's value.
    Returns:
      the new instance of `JAXBElement``<``ObjectType``>`

  - ### createFeature

    public jakarta.xml.bind.JAXBElement<FeatureType> createFeature(FeatureType value)
    Create an instance of `JAXBElement``<``FeatureType``>`
    Parameters:
      `value` - Java instance representing xml element's value.
    Returns:
      the new instance of `JAXBElement``<``FeatureType``>`

  - ### createLookAt

    public jakarta.xml.bind.JAXBElement<LookAtType> createLookAt(LookAtType value)
    Create an instance of `JAXBElement``<``LookAtType``>`
    Parameters:
      `value` - Java instance representing xml element's value.
    Returns:
      the new instance of `JAXBElement``<``LookAtType``>`

  - ### createGeometry

    public jakarta.xml.bind.JAXBElement<GeometryType> createGeometry(GeometryType value)
    Create an instance of `JAXBElement``<``GeometryType``>`
    Parameters:
      `value` - Java instance representing xml element's value.
    Returns:
      the new instance of `JAXBElement``<``GeometryType``>`

  - ### createStyleSelector

    public jakarta.xml.bind.JAXBElement<StyleSelectorType> createStyleSelector(StyleSelectorType value)
    Create an instance of `JAXBElement``<``StyleSelectorType``>`
    Parameters:
      `value` - Java instance representing xml element's value.
    Returns:
      the new instance of `JAXBElement``<``StyleSelectorType``>`

  - ### createTimePrimitive

    public jakarta.xml.bind.JAXBElement<TimePrimitiveType> createTimePrimitive(TimePrimitiveType value)
    Create an instance of `JAXBElement``<``TimePrimitiveType``>`
    Parameters:
      `value` - Java instance representing xml element's value.
    Returns:
      the new instance of `JAXBElement``<``TimePrimitiveType``>`

  - ### createKml

    public jakarta.xml.bind.JAXBElement<KmlType> createKml(KmlType value)
    Create an instance of `JAXBElement``<``KmlType``>`
    Parameters:
      `value` - Java instance representing xml element's value.
    Returns:
      the new instance of `JAXBElement``<``KmlType``>`

  - ### createDocument

    public jakarta.xml.bind.JAXBElement<DocumentType> createDocument(DocumentType value)
    Create an instance of `JAXBElement``<``DocumentType``>`
    Parameters:
      `value` - Java instance representing xml element's value.
    Returns:
      the new instance of `JAXBElement``<``DocumentType``>`

  - ### createFolder

    public jakarta.xml.bind.JAXBElement<FolderType> createFolder(FolderType value)
    Create an instance of `JAXBElement``<``FolderType``>`
    Parameters:
      `value` - Java instance representing xml element's value.
    Returns:
      the new instance of `JAXBElement``<``FolderType``>`

  - ### createPlacemark

    public jakarta.xml.bind.JAXBElement<PlacemarkType> createPlacemark(PlacemarkType value)
    Create an instance of `JAXBElement``<``PlacemarkType``>`
    Parameters:
      `value` - Java instance representing xml element's value.
    Returns:
      the new instance of `JAXBElement``<``PlacemarkType``>`

  - ### createNetworkLink

    public jakarta.xml.bind.JAXBElement<NetworkLinkType> createNetworkLink(NetworkLinkType value)
    Create an instance of `JAXBElement``<``NetworkLinkType``>`
    Parameters:
      `value` - Java instance representing xml element's value.
    Returns:
      the new instance of `JAXBElement``<``NetworkLinkType``>`

  - ### createRegion

    public jakarta.xml.bind.JAXBElement<RegionType> createRegion(RegionType value)
    Create an instance of `JAXBElement``<``RegionType``>`
    Parameters:
      `value` - Java instance representing xml element's value.
    Returns:
      the new instance of `JAXBElement``<``RegionType``>`

  - ### createLatLonAltBox

    public jakarta.xml.bind.JAXBElement<LatLonAltBoxType> createLatLonAltBox(LatLonAltBoxType value)
    Create an instance of `JAXBElement``<``LatLonAltBoxType``>`
    Parameters:
      `value` - Java instance representing xml element's value.
    Returns:
      the new instance of `JAXBElement``<``LatLonAltBoxType``>`

  - ### createLod

    public jakarta.xml.bind.JAXBElement<LodType> createLod(LodType value)
    Create an instance of `JAXBElement``<``LodType``>`
    Parameters:
      `value` - Java instance representing xml element's value.
    Returns:
      the new instance of `JAXBElement``<``LodType``>`

  - ### createIcon

    public jakarta.xml.bind.JAXBElement<LinkType> createIcon(LinkType value)
    Create an instance of `JAXBElement``<``LinkType``>`
    Parameters:
      `value` - Java instance representing xml element's value.
    Returns:
      the new instance of `JAXBElement``<``LinkType``>`

  - ### createLink

    public jakarta.xml.bind.JAXBElement<LinkType> createLink(LinkType value)
    Create an instance of `JAXBElement``<``LinkType``>`
    Parameters:
      `value` - Java instance representing xml element's value.
    Returns:
      the new instance of `JAXBElement``<``LinkType``>`

  - ### createMultiGeometry

    public jakarta.xml.bind.JAXBElement<MultiGeometryType> createMultiGeometry(MultiGeometryType value)
    Create an instance of `JAXBElement``<``MultiGeometryType``>`
    Parameters:
      `value` - Java instance representing xml element's value.
    Returns:
      the new instance of `JAXBElement``<``MultiGeometryType``>`

  - ### createCoordinates

    public jakarta.xml.bind.JAXBElement<List<String>> createCoordinates(List<String> value)
    Create an instance of `JAXBElement``<``List``<``String``>``>`
    Parameters:
      `value` - Java instance representing xml element's value.
    Returns:
      the new instance of `JAXBElement``<``List``<``String``>``>`

  - ### createPoint

    public jakarta.xml.bind.JAXBElement<PointType> createPoint(PointType value)
    Create an instance of `JAXBElement``<``PointType``>`
    Parameters:
      `value` - Java instance representing xml element's value.
    Returns:
      the new instance of `JAXBElement``<``PointType``>`

  - ### createLineString

    public jakarta.xml.bind.JAXBElement<LineStringType> createLineString(LineStringType value)
    Create an instance of `JAXBElement``<``LineStringType``>`
    Parameters:
      `value` - Java instance representing xml element's value.
    Returns:
      the new instance of `JAXBElement``<``LineStringType``>`

  - ### createLinearRing

    public jakarta.xml.bind.JAXBElement<LinearRingType> createLinearRing(LinearRingType value)
    Create an instance of `JAXBElement``<``LinearRingType``>`
    Parameters:
      `value` - Java instance representing xml element's value.
    Returns:
      the new instance of `JAXBElement``<``LinearRingType``>`

  - ### createPolygon

    public jakarta.xml.bind.JAXBElement<PolygonType> createPolygon(PolygonType value)
    Create an instance of `JAXBElement``<``PolygonType``>`
    Parameters:
      `value` - Java instance representing xml element's value.
    Returns:
      the new instance of `JAXBElement``<``PolygonType``>`

  - ### createModel

    public jakarta.xml.bind.JAXBElement<ModelType> createModel(ModelType value)
    Create an instance of `JAXBElement``<``ModelType``>`
    Parameters:
      `value` - Java instance representing xml element's value.
    Returns:
      the new instance of `JAXBElement``<``ModelType``>`

  - ### createLocation

    public jakarta.xml.bind.JAXBElement<LocationType> createLocation(LocationType value)
    Create an instance of `JAXBElement``<``LocationType``>`
    Parameters:
      `value` - Java instance representing xml element's value.
    Returns:
      the new instance of `JAXBElement``<``LocationType``>`

  - ### createOrientation

    public jakarta.xml.bind.JAXBElement<OrientationType> createOrientation(OrientationType value)
    Create an instance of `JAXBElement``<``OrientationType``>`
    Parameters:
      `value` - Java instance representing xml element's value.
    Returns:
      the new instance of `JAXBElement``<``OrientationType``>`

  - ### createScale

    public jakarta.xml.bind.JAXBElement<ScaleType> createScale(ScaleType value)
    Create an instance of `JAXBElement``<``ScaleType``>`
    Parameters:
      `value` - Java instance representing xml element's value.
    Returns:
      the new instance of `JAXBElement``<``ScaleType``>`

  - ### createGroundOverlay

    public jakarta.xml.bind.JAXBElement<GroundOverlayType> createGroundOverlay(GroundOverlayType value)
    Create an instance of `JAXBElement``<``GroundOverlayType``>`
    Parameters:
      `value` - Java instance representing xml element's value.
    Returns:
      the new instance of `JAXBElement``<``GroundOverlayType``>`

  - ### createLatLonBox

    public jakarta.xml.bind.JAXBElement<LatLonBoxType> createLatLonBox(LatLonBoxType value)
    Create an instance of `JAXBElement``<``LatLonBoxType``>`
    Parameters:
      `value` - Java instance representing xml element's value.
    Returns:
      the new instance of `JAXBElement``<``LatLonBoxType``>`

  - ### createScreenOverlay

    public jakarta.xml.bind.JAXBElement<ScreenOverlayType> createScreenOverlay(ScreenOverlayType value)
    Create an instance of `JAXBElement``<``ScreenOverlayType``>`
    Parameters:
      `value` - Java instance representing xml element's value.
    Returns:
      the new instance of `JAXBElement``<``ScreenOverlayType``>`

  - ### createStyle

    public jakarta.xml.bind.JAXBElement<StyleType> createStyle(StyleType value)
    Create an instance of `JAXBElement``<``StyleType``>`
    Parameters:
      `value` - Java instance representing xml element's value.
    Returns:
      the new instance of `JAXBElement``<``StyleType``>`

  - ### createStyleUrl

    public jakarta.xml.bind.JAXBElement<String> createStyleUrl(String value)
    Create an instance of `JAXBElement``<``String``>`
    Parameters:
      `value` - Java instance representing xml element's value.
    Returns:
      the new instance of `JAXBElement``<``String``>`

  - ### createStyleMap

    public jakarta.xml.bind.JAXBElement<StyleMapType> createStyleMap(StyleMapType value)
    Create an instance of `JAXBElement``<``StyleMapType``>`
    Parameters:
      `value` - Java instance representing xml element's value.
    Returns:
      the new instance of `JAXBElement``<``StyleMapType``>`

  - ### createIconStyle

    public jakarta.xml.bind.JAXBElement<IconStyleType> createIconStyle(IconStyleType value)
    Create an instance of `JAXBElement``<``IconStyleType``>`
    Parameters:
      `value` - Java instance representing xml element's value.
    Returns:
      the new instance of `JAXBElement``<``IconStyleType``>`

  - ### createLabelStyle

    public jakarta.xml.bind.JAXBElement<LabelStyleType> createLabelStyle(LabelStyleType value)
    Create an instance of `JAXBElement``<``LabelStyleType``>`
    Parameters:
      `value` - Java instance representing xml element's value.
    Returns:
      the new instance of `JAXBElement``<``LabelStyleType``>`

  - ### createLineStyle

    public jakarta.xml.bind.JAXBElement<LineStyleType> createLineStyle(LineStyleType value)
    Create an instance of `JAXBElement``<``LineStyleType``>`
    Parameters:
      `value` - Java instance representing xml element's value.
    Returns:
      the new instance of `JAXBElement``<``LineStyleType``>`

  - ### createPolyStyle

    public jakarta.xml.bind.JAXBElement<PolyStyleType> createPolyStyle(PolyStyleType value)
    Create an instance of `JAXBElement``<``PolyStyleType``>`
    Parameters:
      `value` - Java instance representing xml element's value.
    Returns:
      the new instance of `JAXBElement``<``PolyStyleType``>`

  - ### createBalloonStyle

    public jakarta.xml.bind.JAXBElement<BalloonStyleType> createBalloonStyle(BalloonStyleType value)
    Create an instance of `JAXBElement``<``BalloonStyleType``>`
    Parameters:
      `value` - Java instance representing xml element's value.
    Returns:
      the new instance of `JAXBElement``<``BalloonStyleType``>`

  - ### createListStyle

    public jakarta.xml.bind.JAXBElement<ListStyleType> createListStyle(ListStyleType value)
    Create an instance of `JAXBElement``<``ListStyleType``>`
    Parameters:
      `value` - Java instance representing xml element's value.
    Returns:
      the new instance of `JAXBElement``<``ListStyleType``>`

  - ### createTimeStamp

    public jakarta.xml.bind.JAXBElement<TimeStampType> createTimeStamp(TimeStampType value)
    Create an instance of `JAXBElement``<``TimeStampType``>`
    Parameters:
      `value` - Java instance representing xml element's value.
    Returns:
      the new instance of `JAXBElement``<``TimeStampType``>`

  - ### createTimeSpan

    public jakarta.xml.bind.JAXBElement<TimeSpanType> createTimeSpan(TimeSpanType value)
    Create an instance of `JAXBElement``<``TimeSpanType``>`
    Parameters:
      `value` - Java instance representing xml element's value.
    Returns:
      the new instance of `JAXBElement``<``TimeSpanType``>`

  - ### createItemIconTypeState

    public jakarta.xml.bind.JAXBElement<List<ItemIconStateEnum>> createItemIconTypeState(List<ItemIconStateEnum> value)
    Create an instance of `JAXBElement``<``List``<``ItemIconStateEnum``>``>`
    Parameters:
      `value` - Java instance representing xml element's value.
    Returns:
      the new instance of `JAXBElement``<``List``<``ItemIconStateEnum``>``>`